List policies by resource
curl --request GET \
--url https://api.eu.bronto.io/policies/resources/{resource_type}/{resource_id} \
--header 'X-BRONTO-API-KEY: <api-key>'import requests
url = "https://api.eu.bronto.io/policies/resources/{resource_type}/{resource_id}"
headers = {"X-BRONTO-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-BRONTO-API-KEY': '<api-key>'}};
fetch('https://api.eu.bronto.io/policies/resources/{resource_type}/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"resource": {},
"actions": [
"<string>"
],
"restricted": true,
"principal": {
"principal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"when": {
"resources": [
{
"resource_id": "<string>"
}
],
"principals": [
{
"principal_type": "ROLE",
"principal_id": "958fe2d8-532d-4d4c-803a-db69a14a7c37"
}
],
"context": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"unless": {
"resources": [
{
"resource_id": "<string>"
}
],
"principals": [
{
"principal_type": "ROLE",
"principal_id": "958fe2d8-532d-4d4c-803a-db69a14a7c37"
}
],
"context": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"created_at": 123,
"modified_at": 123
}
]
}policies
List policies by resource
GET
/
policies
/
resources
/
{resource_type}
/
{resource_id}
List policies by resource
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
The type of resource (e.g., "logset", "dataset").
The unique identifier of the resource.
Response
A list of policies associated with the given resource.
Show child attributes
Show child attributes
⌘I

